### File

`src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `td[rxap-expand-controls-cell]`
imports | `MatButtonModule` `NgIf` `MatIconModule` `AsyncPipe`
styleUrls | `./expand-controls-cell.component.scss`
templateUrl | `./expand-controls-cell.component.html`

### Index

###### Properties
Public Readonly expandCell
###### Inputs
element

### Constructor

`constructor(expandCell: ExpandRowService<Data>)`
Defined in src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:27
Parameters :
Name | Type | Optional
expandCell | `ExpandRowService<Data>` | No

### Inputs

element
Type : `Data`
Required : true
Defined in src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:27

### Properties

Public Readonly expandCell
Type : `ExpandRowService<Data>`
Decorators : `@Inject(ExpandRowService)`
Defined in src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:31

    import {
      ChangeDetectionStrategy,
      Component,
      Inject,
      Input,
    } from '@angular/core';
    import { ExpandRowService } from '../expand-row.service';
    import { Required } from '@rxap/utilities';
    import { MatIconModule } from '@angular/material/icon';
    import {
      AsyncPipe,
      NgIf,
    } from '@angular/common';
    import { MatButtonModule } from '@angular/material/button';

    @Component({
        // eslint-disable-next-line @angular-eslint/component-selector
        selector: 'td[rxap-expand-controls-cell]',
        templateUrl: './expand-controls-cell.component.html',
        styleUrls: ['./expand-controls-cell.component.scss'],
        changeDetection: ChangeDetectionStrategy.OnPush,
        imports: [MatButtonModule, NgIf, MatIconModule, AsyncPipe]
    })
    export class ExpandControlsCellComponent<Data extends Record<string, any>> {

      @Input({ required: true })
      public element!: Data;

      constructor(
        @Inject(ExpandRowService)
        public readonly expandCell: ExpandRowService<Data>,
      ) {
      }

    }

    <button type="button" mat-icon-button>
      <mat-icon *ngIf="expandCell.isExpanded$(element) | async; else notExpanded">expand_more</mat-icon>
      <ng-template #notExpanded>
        <mat-icon>keyboard_arrow_right</mat-icon>
      </ng-template>
    </button>

`./expand-controls-cell.component.scss`

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""